- name: Query the Contract with filter
  hosts: all
  connection: local
  gather_facts: False
  vars:
    print: False

  tasks:

    - name: Query Contract with filter
      include_role:
        name: aci_contract
        tasks_from: query_contract_filter.yml

    - name: Store contract filter
      set_fact:
        structured_data_contract_filter: "{{ aci_contract_filter_result['current'] | contract_subject_entry_filter(tenant_netbox) }}"
      when:
        - aci_contract_filter_result is defined

    - name: Display Structured Contract Filter
      debug:
        msg: "{{ structured_data_contract_filter }}"
      when:
        - structured_data_contract_filter is defined
        - print == True

    - name: Create/update the custom field with the response
      include_role:
        name: netbox_configuration
        tasks_from: create_custom_field.yml
      vars:
        uuid: "{{ awx_webhook_payload.data.custom_fields.Query_UUID }}"
        awx_response: "{{ structured_data_contract_filter }}"
      when:
        - structured_data_contract_filter is defined
        - awx_webhook_payload.data.custom_fields.Query_UUID is defined